aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorJakob Unterwurzacher2017-02-14 21:38:28 +0100
committerJakob Unterwurzacher2017-02-14 21:38:28 +0100
commit6be7808992a1d9562b113b13831cd6d6a40114d6 (patch)
tree7e61d679b70a75699ae76f6f8008c719430b0e37 /contrib
parent3784901fcee46d3e14e154b32cc6a7822bcc90f6 (diff)
Add Mac OS X fusermount replacement script
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/fusermount14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/fusermount b/contrib/fusermount
new file mode 100755
index 0000000..15c12a0
--- /dev/null
+++ b/contrib/fusermount
@@ -0,0 +1,14 @@
+#!/bin/bash -eu
+#
+# Mac OS X does not have fusermount. Put this script into
+# your $PATH to emulate it using umount.
+#
+cd "$(dirname "$0")"
+MYNAME=$(basename "$0")
+if [[ $# -lt 1 ]] ; then
+ echo "$PWD/$MYNAME: missing argument"
+ exit 1
+fi
+# Get the mount point from the last argument, ignore everything else
+M=${@: -1}
+exec umount "$M"